/**
 * @file
 *
 * Base operator methods and initialization of static variables.
 *
 * @author Henning Funke <henning.funke@cs.tu-dortmund.de>
 *
 * (c) 2019 TU Dortmund, DBIS Group
 */
#include "BaseOperator.h"


/* default value, may be overwritten before execution */
size_t RelOperator::vecLen = 8000;


RelOperator::RelOperator ( RelOperator *c ) {
    this->child = c;
    if ( c != nullptr ) {
        c->parent = this;
    }
}
    

void RelOperator::deletePlan() {
    if ( child != nullptr ) {
        child->deletePlan();
    }
    delete ( this );
}
