rm db.dat
make -B > /dev/null
./weedb > /dev/null


# test different vector sizes
for VEC in 1 4 16 64 256 1024 4096 16384 65536 262144 1048576 4194304 16777216 67108864 268435456
do
    make clean > /dev/null
    make EXP_ARGS="-D VEC_LEN=${VEC}" > /dev/null
    ./weedb
done

exit


# test parallelism degreee
for NT in $(seq 1 8)
do
    make -B EXP_ARGS="-D N_THREADS=${NT}" > /dev/null
    for rep in $(seq 1 4)
    do
        ./weedb
    done
done

exit

